---
title: DataTransferItem.kind
slug: Web/API/DataTransferItem/kind
tags:
  - API
  - DataTransferItem
  - HTML DOM
  - HTML Drag and Drop API
  - Property
  - Reference
  - drag and drop
  - kind
---
<div>{{APIRef("HTML Drag and Drop API")}}</div>

<p>The read-only <strong><code>DataTransferItem.kind</code></strong> property returns a {{domxref("DataTransferItem")}} representing the <em>drag data item</em> kind: some text or some file.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>itemKind</em> = <em>DataTransferItem</em>.kind;
</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("DOMString")}} representing the drag data item's kind. It must be one of the following values:</p>

<dl>
 <dt><code>'file'</code></dt>
 <dd>If the drag data item is a file.</dd>
 <dt><code>'string'</code></dt>
 <dd>If the kind of drag data item is a <em>plain Unicode string</em>.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example shows the use of the <code>kind</code> property.</p>

<pre class="brush: js">function drop_handler(ev) {
 console.log("Drop");
 ev.preventDefault();
 var data = event.dataTransfer.items;
 for (var i = 0; i &lt; data.length; i += 1) {
   if ((data[i].kind == 'string') &amp;&amp;
       (data[i].type.match('^text/plain'))) {
     // This item is the target node
     data[i].getAsString(function (s){
       ev.target.appendChild(document.getElementById(s));
     });
   } else if ((data[i].kind == 'string') &amp;&amp;
              (data[i].type.match('^text/html'))) {
     // Drag data item is HTML
     console.log("... Drop: HTML");
   } else if ((data[i].kind == 'file') &amp;&amp;
              (data[i].type.match('^image/'))) {
     // Drag data item is an image file
     var f = data[i].getAsFile();
     console.log("... Drop: File ");
   }
 }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'interaction.html#dom-datatransferitem-kind','kind')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial version</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', 'editing.html#dom-datatransferitem-kind','kind')}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td>W3C snapshot of the WHATWG document.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DataTransferItem.kind")}}</p>

<h2 id="See_also">See also</h2>

<p>{{page("/en-US/docs/Web/API/DataTransfer", "See also")}}</p>
